### Method

# Soup MessageHeaders header_equals

#### Declaration [src]

    gboolean
    soup_message_headers_header_equals (
      SoupMessageHeaders* hdrs,
      const char* name,
      const char* value
    )

#### Description [src]

Checks whether the header `name` is present in `hdrs` and is (case-insensitively) equal to `value`.

#### Parameters

`name` | `const char*`
| Header name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const char*`
| Expected value.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the header is present and its value is `value`, `FALSE` otherwise.